%global momorel 1

%global php_extdir %(php-config --extension-dir 2>/dev/null || echo %{_libdir}/php4)
%global php_apiver %((echo 0; php -i 2>/dev/null | sed -n 's/^PHP API => //p') | tail -1)

%global use_alternatives 1
%global lspp 1
%global cups_serverbin %{_exec_prefix}/lib/cups

Summary: Common Unix Printing System
Name: cups
Version: 1.4.5
Release: %{momorel}m%{?dist}
License: GPLv2
Group: System Environment/Daemons
Source0: http://ftp.easysw.com/pub/cups/%{version}/cups-%{version}-source.tar.bz2
NoSource: 0
# Our initscript
Source1: cups.init
# Pixmap for desktop file
Source2: cupsprinter.png
# udev rules for libusb devices
Source3: cups-libusb.rules
# LSPP-required ps->pdf filter
Source4: pstopdf
# xinetd config file for cups-lpd service
Source5: cups-lpd
# Logrotate configuration
Source6: cups.logrotate
# Backend for NCP protocol
Source7: ncp.backend
# Cron-based tmpwatch for /var/spool/cups/tmp
Source8: cups.cron
# Filter and PPD for textonly printing
Source9: textonly.filter
Source10: textonly.ppd
Patch1: cups-no-gzip-man.patch
Patch2: cups-1.1.16-system-auth.patch
Patch3: cups-multilib.patch
Patch4: cups-serial.patch
Patch5: cups-banners.patch
Patch6: cups-serverbin-compat.patch
Patch7: cups-no-export-ssllibs.patch
Patch8: cups-direct-usb.patch
Patch9: cups-lpr-help.patch
Patch10: cups-peercred.patch
Patch11: cups-pid.patch
Patch12: cups-page-label.patch
Patch13: cups-eggcups.patch
Patch14: cups-getpass.patch
Patch15: cups-driverd-timeout.patch
Patch16: cups-strict-ppd-line-length.patch
Patch17: cups-logrotate.patch
Patch18: cups-usb-paperout.patch
Patch19: cups-build.patch
Patch20: cups-res_init.patch
Patch21: cups-filter-debug.patch
Patch22: cups-uri-compat.patch
Patch23: cups-cups-get-classes.patch
Patch24: cups-avahi.patch
Patch25: cups-str3382.patch
Patch29: cups-0755.patch
Patch30: cups-EAI_AGAIN.patch
Patch31: cups-hostnamelookups.patch
Patch33: cups-snmp-quirks.patch
Patch34: cups-hp-deviceid-oid.patch
Patch35: cups-dnssd-deviceid.patch
Patch36: cups-ricoh-deviceid-oid.patch
Patch37: cups-texttops-rotate-page.patch
Patch38: cups-autotype-crash.patch

Patch100: cups-lspp.patch

## SECURITY PATCHES:

Url: http://www.cups.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: chkconfig initscripts
Requires: %{name}-libs = %{version}-%{release}
%if %use_alternatives
Provides: /usr/bin/lpq /usr/bin/lpr /usr/bin/lp /usr/bin/cancel /usr/bin/lprm /usr/bin/lpstat
Requires: chkconfig
%endif

# Unconditionally obsolete LPRng so that upgrades work properly.
Obsoletes: lpd <= 3.8.15-3, lpr <= 3.8.15-3, LPRng <= 3.8.15-3
Provides: lpd = 3.8.15-4, lpr = 3.8.15-4

Obsoletes: cupsddk < 1.2.3-9m
Provides: cupsddk = 1.2.3-9m
Obsoletes: cupsddk-drivers < 1.2.3-9m
Provides: cupsddk-drivers = 1.2.3-9m

BuildRequires: pam-devel
BuildRequires: pkgconfig
BuildRequires: gnutls-devel
BuildRequires: libacl-devel
BuildRequires: openldap-devel >= 2.4.8
BuildRequires: make >= 3.80
BuildRequires: php-devel >= 5.2.1
BuildRequires: pcre-devel
BuildRequires: libjpeg-devel >= 8a
BuildRequires: libpng-devel >= 1.2.2
BuildRequires: libtiff-devel >= 3.4
BuildRequires: krb5-devel
BuildRequires: avahi-devel
BuildRequires: poppler-utils >= 0.14.0-4m

BuildRequires: zlib-devel >= 1.1.4-5m
BuildRequires: openslp-devel

# Make sure we get postscriptdriver tags.
BuildRequires: pycups

%if %lspp
BuildRequires: libselinux-devel >= 1.23
BuildRequires: audit-libs-devel >= 2.0.4
%endif

# -fstack-protector-all requires GCC 4.0.1
BuildRequires: gcc >= 4.0.1

BuildRequires: dbus-devel >= 0.90
Requires: dbus >= 0.90

# Requires tmpwatch for the cron.daily script (bug #218901).
Requires: tmpwatch

# We use portreserve to prevent our TCP port being stolen.
# Require the package here so that we know /etc/portreserve/ exists.
Requires: portreserve

Requires: poppler

# We ship udev rules which use setfacl.
Requires: udev
Requires: acl

# Make sure we have some filters for converting to raster format.
Requires: ghostscript-cups

%package devel
Summary: Common Unix Printing System - development environment
Group: Development/Libraries
License: LGPLv2
Requires: %{name}-libs = %{version}-%{release}
Requires: gnutls-devel
Requires: krb5-devel
Requires: zlib-devel
Obsoletes: cupsddk-devel < 1.2.3-9m
Provides: cupsddk-devel = 1.2.3-9m

%package libs
Summary: Common Unix Printing System - libraries
Group: System Environment/Libraries
License: LGPLv2

%package lpd
Summary: Common Unix Printing System - lpd emulation
Group: System Environment/Daemons
Requires: %{name} = %{version}-%{release}
Requires: %{name}-libs = %{version}-%{release}
Requires: xinetd

%package php
Summary: Common Unix Printing System - php module
Group: Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: php-api = %{php_apiver}


%description
The Common UNIX Printing System provides a portable printing layer for 
UNIX(R) operating systems. It has been developed by Easy Software Products 
to promote a standard printing solution for all UNIX vendors and users. 
CUPS provides the System V and Berkeley command-line interfaces. 

%description devel
The Common UNIX Printing System provides a portable printing layer for 
UNIX(R) operating systems. This is the development package for creating
additional printer drivers, and other CUPS services.

%description libs
The Common UNIX Printing System provides a portable printing layer for 
UNIX(R) operating systems. It has been developed by Easy Software Products 
to promote a standard printing solution for all UNIX vendors and users. 
CUPS provides the System V and Berkeley command-line interfaces. 
The cups-libs package provides libraries used by applications to use CUPS
natively, without needing the lp/lpr commands.

%description lpd
The Common UNIX Printing System provides a portable printing layer for 
UNIX(R) operating systems. This is the package that provides standard 
lpd emulation.

%description php
The Common UNIX Printing System provides a portable printing layer for
UNIX(R) operating systems. This is the package that provides a PHP
module. 

%prep
%setup -q
# Don't gzip man pages in the Makefile, let rpmbuild do it.
%patch1 -p1 -b .no-gzip-man
# Use the system pam configuration.
%patch2 -p1 -b .system-auth
# Prevent multilib conflict in cups-config script.
%patch3 -p1 -b .multilib
# Fix compilation of serial backend.
%patch4 -p1 -b .serial
# Ignore rpm save/new files in the banners directory.
%patch5 -p1 -b .banners
# Use compatibility fallback path for ServerBin.
%patch6 -p1 -b .serverbin-compat
# Don't export SSLLIBS to cups-config.
%patch7 -p1 -b .no-export-ssllibs
# Allow file-based usb device URIs.
%patch8 -p1 -b .direct-usb
# Add --help option to lpr.
%patch9 -p1 -b .lpr-help
# Fix compilation of peer credentials support.
%patch10 -p1 -b .peercred
# Maintain a cupsd.pid file.
%patch11 -p1 -b .pid
# Fix orientation of page labels.
%patch12 -p1 -b .page-label
# Fix implementation of com.redhat.PrinterSpooler D-Bus object.
%patch13 -p1 -b .eggcups
# More sophisticated implementation of cupsGetPassword than getpass.
%patch14 -p1 -b .getpass
# Increase driverd timeout to 70s to accommodate foomatic.
%patch15 -p1 -b .driverd-timeout
# Only enforce maximum PPD line length when in strict mode.
%patch16 -p1 -b .strict-ppd-line-length
# Re-open the log if it has been logrotated under us.
%patch17 -p1 -b .logrotate
# Support for errno==ENOSPACE-based USB paper-out reporting.
%patch18 -p1 -b .usb-paperout
# Simplify the DNSSD parts so they can build using the compat library.
%patch19 -p1 -b .build
# Re-initialise the resolver on failure in httpAddrGetList().
%patch20 -p1 -b .res_init
# Log extra debugging information if no filters are available.
%patch21 -p1 -b .filter-debug
# Allow the usb backend to understand old-style URI formats.
%patch22 -p1 -b .uri-compat
# Fix support for older CUPS servers in cupsGetDests.
%patch23 -p1 -b .cups-get-classes
# Avahi support in the dnssd backend.
%patch24 -p1 -b .avahi
# Fix temporary filename creation.
%patch25 -p1 -b .str3382
# Use mode 0755 for binaries and libraries where appropriate.
%patch29 -p1 -b .0755
# Re-initialise the resolver on failure in httpAddrLookup().
%patch30 -p1 -b .EAI_AGAIN
# Use numeric addresses for interfaces unless HostNameLookups are
# turned on (bug #583054).
%patch31 -p1 -b .hostnamelookups
# Handle SNMP supply level quirks (bug #581825).
%patch33 -p1 -b .snmp-quirks
# Add an SNMP query for HP's device ID OID (STR #3552).
%patch34 -p1 -b .hp-deviceid-oid
# Mark DNS-SD Device IDs that have been guessed at with "FZY:1;".
%patch35 -p1 -b .dnssd-deviceid
# Add an SNMP query for Ricoh's device ID OID (STR #3552).
%patch36 -p1 -b .ricoh-deviceid-oid
# Adjust texttops output to be in natural orientation (STR #3563).
# This fixes page-label orientation when texttops is used in the
# filter chain (bug #572338).
%patch37 -p1 -b .texttops-rotate-page
# Don't crash when MIME database could not be loaded (bug #610088).
%patch38 -p1 -b .autotype-crash

%if %lspp
# LSPP support.
%patch100 -p1 -b .lspp
%endif

# SECURITY PATCHES:

sed -i -e '1iMaxLogSize 0' conf/cupsd.conf.in

cp %{SOURCE5} cups-lpd.real
perl -pi -e "s,\@LIBDIR\@,%{_libdir},g" cups-lpd.real

# Let's look at the compilation command lines.
perl -pi -e "s,^.SILENT:,," Makedefs.in

# Fix locale code for Norwegian (bug #520379).
mv locale/cups_no.po locale/cups_nb.po

# Rebuild configure script for --enable-avahi.
aclocal -I config-scripts
autoconf -I config-scripts

%build
export CFLAGS="$RPM_OPT_FLAGS -fstack-protector-all -DLDAP_DEPRECATED=1"
# --enable-debug to avoid stripping binaries
%configure --with-docdir=%{_datadir}/%{name}/www --enable-debug \
%if %lspp
	--enable-lspp \
%endif
	--with-log-file-perm=0600 --enable-pie --enable-relro \
	--enable-pdftops --with-pdftops=pdftops \
	--with-dbusdir=%{_sysconfdir}/dbus-1 \
	--with-php=/usr/bin/php-cgi --enable-avahi \
	--enable-gnutls --disable-threads \
	localedir=%{_datadir}/locale

# If we got this far, all prerequisite libraries must be here.
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make BUILDROOT=$RPM_BUILD_ROOT install 

# Serial backend needs to run as root (bug #212577).
chmod 700 $RPM_BUILD_ROOT%{cups_serverbin}/backend/serial

rm -rf	$RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d \
	$RPM_BUILD_ROOT%{_sysconfdir}/init.d \
	$RPM_BUILD_ROOT%{_sysconfdir}/rc?.d
mkdir -p $RPM_BUILD_ROOT%{_initscriptdir}
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_initscriptdir}/cups

find $RPM_BUILD_ROOT%{_datadir}/cups/model -name "*.ppd" |xargs gzip -n9f

%if %use_alternatives
pushd $RPM_BUILD_ROOT%{_bindir}
for i in cancel lp lpq lpr lprm lpstat; do
	mv $i $i.cups
done
cd $RPM_BUILD_ROOT%{_sbindir}
mv lpc lpc.cups
cd $RPM_BUILD_ROOT%{_mandir}/man1
for i in cancel lp lpq lpr lprm lpstat; do
	mv $i.1 $i-cups.1
done
cd $RPM_BUILD_ROOT%{_mandir}/man8
mv lpc.8 lpc-cups.8
popd
%endif

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps $RPM_BUILD_ROOT%{_sysconfdir}/X11/sysconfig $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/System $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily
install -c -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -c -m 644 cups-lpd.real $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/cups-lpd
install -c -m 644 %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/cups
install -c -m 755 %{SOURCE7} $RPM_BUILD_ROOT%{cups_serverbin}/backend/ncp
install -c -m 755 %{SOURCE8} $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/cups
install -c -m 755 %{SOURCE9} $RPM_BUILD_ROOT%{cups_serverbin}/filter/textonly
install -c -m 644 %{SOURCE10} $RPM_BUILD_ROOT%{_datadir}/cups/model/textonly.ppd

# Ship pstopdf for LSPP systems to deal with malicious postscript
%if %lspp
install -c -m 755 %{SOURCE4} $RPM_BUILD_ROOT%{cups_serverbin}/filter
%endif

# Ship a printers.conf file, and a client.conf file.  That way, they get
# their SELinux file contexts set correctly.
touch $RPM_BUILD_ROOT%{_sysconfdir}/cups/printers.conf
touch $RPM_BUILD_ROOT%{_sysconfdir}/cups/classes.conf
touch $RPM_BUILD_ROOT%{_sysconfdir}/cups/client.conf
touch $RPM_BUILD_ROOT%{_sysconfdir}/cups/subscriptions.conf

# This is %%ghost'ed, but needs to be created in %%install anyway.
touch $RPM_BUILD_ROOT%{_sysconfdir}/cups/lpoptions

# Tell portreserve which port we want it to protect.
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/portreserve

# LSB 3.2 printer driver directory
mkdir -p $RPM_BUILD_ROOT%{_datadir}/ppd

echo ipp > $RPM_BUILD_ROOT%{_sysconfdir}/portreserve/%{name}

# Handle https:// device URIs (bug #478677, STR #3122).
ln -s ipp $RPM_BUILD_ROOT%{cups_serverbin}/backend/https

# Remove unshipped files.
rm -rf $RPM_BUILD_ROOT%{_mandir}/cat? $RPM_BUILD_ROOT%{_mandir}/*/cat?
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/cups.desktop
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons

# Put the php config bit into place
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d
%{__cat} << __EOF__ > %{buildroot}%{_sysconfdir}/php.d/%{name}.ini
; Enable %{name} extension module
extension=phpcups.so
__EOF__

# Install the udev rules.
%{__mkdir_p} %{buildroot}/lib/udev/rules.d
install -m644 %{SOURCE3} \
	%{buildroot}/lib/udev/rules.d/70-cups-libusb.rules

%post
/sbin/chkconfig --del cupsd 2>/dev/null || true # Make sure old versions aren't there anymore
/sbin/chkconfig --add cups || true
# Remove old-style certs directory; new-style is /var/run
# (see bug #194581 for why this is necessary).
/bin/rm -rf %{_sysconfdir}/cups/certs
%if %use_alternatives
/usr/sbin/alternatives --install %{_bindir}/lpr print %{_bindir}/lpr.cups 40 \
	 --slave %{_bindir}/lp print-lp %{_bindir}/lp.cups \
	 --slave %{_bindir}/lpq print-lpq %{_bindir}/lpq.cups \
	 --slave %{_bindir}/lprm print-lprm %{_bindir}/lprm.cups \
	 --slave %{_bindir}/lpstat print-lpstat %{_bindir}/lpstat.cups \
	 --slave %{_bindir}/cancel print-cancel %{_bindir}/cancel.cups \
	 --slave %{_sbindir}/lpc print-lpc %{_sbindir}/lpc.cups \
	 --slave %{_mandir}/man1/cancel.1.bz2 print-cancelman %{_mandir}/man1/cancel-cups.1.bz2 \
	 --slave %{_mandir}/man1/lp.1.bz2 print-lpman %{_mandir}/man1/lp-cups.1.bz2 \
	 --slave %{_mandir}/man8/lpc.8.bz2 print-lpcman %{_mandir}/man8/lpc-cups.8.bz2 \
	 --slave %{_mandir}/man1/lpq.1.bz2 print-lpqman %{_mandir}/man1/lpq-cups.1.bz2 \
	 --slave %{_mandir}/man1/lpr.1.bz2 print-lprman %{_mandir}/man1/lpr-cups.1.bz2 \
	 --slave %{_mandir}/man1/lprm.1.bz2 print-lprmman %{_mandir}/man1/lprm-cups.1.bz2 \
	 --slave %{_mandir}/man1/lpstat.1.bz2 print-lpstatman %{_mandir}/man1/lpstat-cups.1.bz2 \
	 --initscript cups
%endif
rm -f %{_localstatedir}/cache/cups/*.ipp %{_localstatedir}/cache/cups/*.cache
exit 0

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%preun
if [ "$1" = "0" ]; then
	/sbin/service cups stop > /dev/null 2>&1
	/sbin/chkconfig --del cups
%if %use_alternatives
	/usr/sbin/alternatives --remove print %{_bindir}/lpr.cups
%endif
fi
exit 0

%postun
if [ "$1" -ge "1" ]; then
	/sbin/service cups condrestart > /dev/null 2>&1
fi
exit 0

%triggerin -- samba-client
ln -sf ../../../bin/smbspool %{cups_serverbin}/backend/smb || :
exit 0

%triggerun -- samba-client
[ $2 = 0 ] || exit 0
rm -f %{cups_serverbin}/backend/smb

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE.txt README.txt CREDITS.txt CHANGES.txt
/lib/udev/rules.d/70-cups-libusb.rules
%dir %attr(0755,root,lp) %{_sysconfdir}/cups
%dir %attr(0755,root,lp) /var/run/cups
%dir %attr(0511,lp,sys) /var/run/cups/certs
%verify(not md5 size mtime) %config(noreplace) %attr(0640,root,lp) %{_sysconfdir}/cups/cupsd.conf
%attr(0640,root,lp) %{_sysconfdir}/cups/cupsd.conf.default
%verify(not md5 size mtime) %config(noreplace) %attr(0644,root,lp) %{_sysconfdir}/cups/client.conf
%verify(not md5 size mtime) %config(noreplace) %attr(0600,root,lp) %{_sysconfdir}/cups/classes.conf
%verify(not md5 size mtime) %config(noreplace) %attr(0600,root,lp) %{_sysconfdir}/cups/printers.conf
%verify(not md5 size mtime) %config(noreplace) %attr(0644,root,lp) %{_sysconfdir}/cups/snmp.conf
%verify(not md5 size mtime) %config(noreplace) %attr(0644,root,lp) %{_sysconfdir}/cups/subscriptions.conf
%{_sysconfdir}/cups/interfaces
%verify(not md5 size mtime) %config(noreplace) %attr(0644,root,lp) %{_sysconfdir}/cups/lpoptions
%dir %attr(0755,root,lp) %{_sysconfdir}/cups/ppd
%dir %attr(0700,root,lp) %{_sysconfdir}/cups/ssl
%config(noreplace) %{_sysconfdir}/pam.d/cups
%config(noreplace) %{_sysconfdir}/logrotate.d/cups
%config(noreplace) %{_sysconfdir}/portreserve/%{name}
%dir %{_datadir}/%{name}/www
%dir %{_datadir}/%{name}/www/es
%dir %{_datadir}/%{name}/www/eu
%dir %{_datadir}/%{name}/www/ja
%dir %{_datadir}/%{name}/www/pl
%dir %{_datadir}/%{name}/www/ru
%config(noreplace) %{_datadir}/%{name}/www/images
%config(noreplace) %{_datadir}/%{name}/www/*.css
%config(noreplace) %doc %{_datadir}/%{name}/www/index.html
%config(noreplace) %doc %{_datadir}/%{name}/www/help
%config(noreplace) %doc %{_datadir}/%{name}/www/robots.txt
%config(noreplace) %doc %{_datadir}/%{name}/www/de/index.html
%config(noreplace) %doc %{_datadir}/%{name}/www/es/index.html
%config(noreplace) %doc %{_datadir}/%{name}/www/eu/index.html
%config(noreplace) %doc %{_datadir}/%{name}/www/id/index.html
%config(noreplace) %doc %{_datadir}/%{name}/www/it/index.html
%config(noreplace) %doc %{_datadir}/%{name}/www/ja/index.html
%config(noreplace) %doc %{_datadir}/%{name}/www/pl/index.html
%config(noreplace) %doc %{_datadir}/%{name}/www/ru/index.html
%config(noreplace) %{_initscriptdir}/cups
%{_bindir}/cupstestppd
%{_bindir}/cupstestdsc
%{_bindir}/cancel*
%{_bindir}/lp*
%{_bindir}/ppd*
%dir %{cups_serverbin}
%{cups_serverbin}/backend
%{cups_serverbin}/cgi-bin
%dir %{cups_serverbin}/daemon
%{cups_serverbin}/daemon/cups-polld
%{cups_serverbin}/daemon/cups-deviced
%{cups_serverbin}/daemon/cups-driverd
%{cups_serverbin}/notifier
%{cups_serverbin}/filter
%{cups_serverbin}/monitor
%{cups_serverbin}/driver
%{_mandir}/man?/*
%{_sbindir}/*
%dir %{_datadir}/cups
%dir %{_datadir}/cups/banners
%config(noreplace) %{_datadir}/cups/banners/*
%{_datadir}/cups/charsets
%{_datadir}/cups/charmaps
%{_datadir}/cups/data
%{_datadir}/cups/fonts
%{_datadir}/cups/model
%dir %{_datadir}/cups/templates
%config(noreplace) %{_datadir}/cups/templates/*.tmpl
%config(noreplace) %{_datadir}/cups/templates/de/*.tmpl
%config(noreplace) %{_datadir}/cups/templates/es/*.tmpl
%config(noreplace) %{_datadir}/cups/templates/eu/*.tmpl
%config(noreplace) %{_datadir}/cups/templates/id/*.tmpl
%config(noreplace) %{_datadir}/cups/templates/it/*.tmpl
%config(noreplace) %{_datadir}/cups/templates/ja/*.tmpl
%config(noreplace) %{_datadir}/cups/templates/pl/*.tmpl
%config(noreplace) %{_datadir}/cups/templates/ru/*.tmpl
%{_datadir}/locale/*/*.po
%{_datadir}/ppd
%dir %attr(1770,root,lp) /var/spool/cups/tmp
%dir %attr(0710,root,lp) /var/spool/cups
%dir %attr(0755,lp,sys) /var/log/cups
%{_datadir}/pixmaps/cupsprinter.png
%{_sysconfdir}/cron.daily/cups
%{_sysconfdir}/dbus-1/system.d/cups.conf
%{_datadir}/cups/drv
%{_datadir}/cups/examples
%dir %{_datadir}/cups/mime
%config(noreplace) %{_datadir}/cups/mime/mime.types
%config(noreplace) %{_datadir}/cups/mime/mime.convs
%dir %{_datadir}/cups/ppdc
%{_datadir}/cups/ppdc/*.defs
%{_datadir}/cups/ppdc/*.h

%files libs
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/cups-config
%{_libdir}/*.so
%{_includedir}/cups

%files lpd
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/xinetd.d/cups-lpd
%{cups_serverbin}/daemon/cups-lpd

%files php
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/php.d/%{name}.ini
%{php_extdir}/phpcups.so

%changelog
* Sat Nov 13 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.5-1m)
- [SECURITY] CVE-2010-2941
- some patches are remade based on 1.4.5
- import patch31 and patch38 from Fedora devel

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4.4-4m)
- full rebuild for mo7 release

* Sun Aug  1 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.4.4-3m)
- fix BuildRequires
- rebuild against poppler 0.14.0-4m

* Sun Jun 27 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4.4-2m)
- revert to gnutls because segfault occurs when printing on firefox

* Sun Jun 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.4-1m)
- [SECURITY] CVE-2010-0540 CVE-2010-0542 CVE-2010-1748 CVE-2010-2431
- [SECURITY] CVE-2010-2432
- enable support openssl instead of gnutls
- sync with Fedora devel
- Patch12,14 and 100 are remade based on 1.4.4
- remove upstreamed ptches (Patch26,27,32,38 and 200)

* Sun Jun 13 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4.3-1m)
- sync with Fedora 13 (1:1.4.3-11)

* Sat Apr 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.11-9m)
- rebuild against libjpeg-8a

* Sun Mar 21 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.11-8m)
- [SECURITY] CVE-2010-0302 CVE-2010-0393
- import security patches from Ubuntu jaunty (1.3.9-17ubuntu3.6)

* Tue Dec 29 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.3.11-7m)
- rebuild against audit-2.0.4

* Sun Nov 29 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.11-6m)
- [SECURITY] CVE-2009-3553
- apply upstream patch

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.11-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Nov 11 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.11-4m)
- [SECURITY] CVE-2009-2820
- import a security patch from Fedora 10 (1:1.3.11-2)

* Thu Sep  3 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.3.11-3m)
- rebuild against libjpeg-7

* Sun Jul 19 2009 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.3.11-2m)
- stop daemon

* Sun Jul 12 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.11-1m)
- update to 1.3.11

* Sat Jun 27 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.10-3m)
- use portreserve
- cleanup specfile

* Wed May  6 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.10-2m)
- fix cups_serverbin on x86_64

* Wed May  6 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.10-1m)
- [SECURITY] CVE-2009-0146 CVE-2009-0147 CVE-2009-0163 CVE-2009-0164
- [SECURITY] CVE-2009-0165 CVE-2009-0166 CVE-2009-0195 CVE-2009-0799
- [SECURITY] CVE-2009-0800 CVE-2009-0949 CVE-2009-1179 CVE-2009-1180
- [SECURITY] CVE-2009-1181 CVE-2009-1182 CVE-2009-1183
- [SECURITY] CVE-2009-3608 CVE-2009-3609
- partially sync with Fedora 10 (1:1.3.10-4)

* Sat Mar 28 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.9-5m)
- do not specify man file compression format

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.9-4m)
- rebuild against rpm-4.6

* Sun Dec 28 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.9-3m)
- [SECURITY] CVE-2008-5183
- import a security patch (Patch31) from Fedora 10 (1:1.3.9-4)
- drop Patch29, merged upstream
- update Patch1,9,13,100,1000 for fuzz=0

* Sat Dec  6 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.9-2m)
- [SECURITY] CVE-2008-5286
- import a security patch (Patch30) from http://www.cups.org/str.php?L2974

* Wed Oct 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3.9-1m)
- [SECURITY] CVE-2008-3639 CVE-2008-3640 CVE-2008-3641
- update to 1.3.9

* Thu Aug  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3.8-1m)
- [SECURITY] CVE-2008-1722 CVE-2008-5184
- update to 1.3.8

* Tue Jul 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3.7-2m)
- rebuild against gnutls-2.4.1

* Mon Apr  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3.7-1m)
- [SECURITY] CVE-2008-1373 CVE-2008-1374
- update to 1.3.7

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3.6-5m)
- rebuild against gcc43

* Wed Mar 26 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.6-4m)
- ship pstoraster, thanks, pm890c and JW

* Tue Feb 26 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.3.6-3m)
- rebuild against openldap-2.4.8

* Sat Feb 23 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.3.6-2m)
- fix gcc-4.3

* Thu Feb 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3.6-1m)
- [SECURITY] CUPS "process_browse_data()" Double Free Vulnerability
- update to 1.3.6

* Wed Dec 19 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3.5-1m)
- [SECURITY] CUPS Backend SNMP Remote Stack Overflow Vulnerability
- update to 1.3.5

* Fri Nov  2 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3.4-1m)
- [SECURITY] CVE-2007-4351
- update to 1.3.4

* Sun Sep 30 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3.3-1m)
- update to 1.3.3

* Thu Sep 20 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3.2-1m)
- update to 1.3.2

* Sun Sep  9 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3.0-2m)
- revise path to cups-lpd for x86_64
- thanks to http://pc11.2ch.net/test/read.cgi/linux/1188293074/33
- do not use %%NoSource macro

* Sat Aug 18 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3.0-1m)
- update to 1.3.0

* Sun Aug 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3-0.2.1m)
- update to 1.3rc2
- remove some patches (17,18,22,24)
- add patch15 (import from FC)
- update some patches (8,11,19,25,100) 
- sync with FC-devel

* Sat Jul 28 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.12-1m)
- update to 1.2.12
- update patch18 (cups-directed-broadcast.patch)

* Thu Jun 21 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.11-4m)
- disable service at initial start up

* Sat Jun 16 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.2.11-3m)
- change cups_serverbin %%{_exec_prefix}/lib/cups to %%{_libdir}/cups
- revive cups-1.2.6-lib64.patch

* Fri Jun 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.11-2m)
- remove %%{cups_serverbin}/filter/pstoraster, it's already provided by
  ghostscript-cups and pstoraster of ghostscript-cups(v 1.6) is newer than
  pstoraster of cups (v 1.3)

* Fri Jun 15 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.2.11-1m)
- [SECURITY] CVE-2007-0720 (fixed on 1.2.9)
- sync FC-devel

* Sun Apr 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.7-4m)
- rebuild against php-5.2.1

* Mon Mar 26 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.2.7-3m)
- use gnutls instead of openssl; openssl is no longer required.
- rebuild against gnutls-1.4.2-2m

* Sun Jan  7 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.2.7-2m)
- add BuildPrereq: php-devel, dbus-devel

* Mon Nov 20 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.2.7-1m)
- update to 1.2.7

* Mon Nov 20 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.2.6-2m)
- add lib64 patch

* Tue Nov 07 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.2.6-1m)
- update to 1.2.6
- unappliable patches are commented out

* Sat Jul 22 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1.23-10m)
- disable cups-RunAsUser.patch

* Sat Jul 22 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.23-9m)
- import cups-1.1.23-image-png.patch from gentoo-x86-portage
 +- 03 Jul 2006; Stefan Schweizer <genstef@gentoo.org>
 +  +files/cups-1.1.23-image-png.patch, cups-1.1.23-r7.ebuild:
 +  libpng >=1.2.10 compat thanks to kojiro in bug 136346

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1.23-8m)
- rebuild against openssl-0.9.8a

* Tue Nov  8 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1.23-7m)
- add gcc4 patch
- Patch200: cups-1.1.23-gcc4.patch

* Tue May 17 2005 mutecat <mutecat@momonga-linux.org>
- (1.1.23-6m)
- add cups-1.1.19-charset.patch from turbo with arrange
- update cups-extradoc

* Wed Mar  9 2005 zunda <zunda at freeshell.org>
- (1.1.23-5m)
- cupsd.cond: using basic authentication better to reduce FAQs,
  /etc/cups is still owned by lp for users who want to use digest
  authentication.

* Tue Mar  8 2005 zunda <zunda at freeshell.org>
- (1.1.23-4m)
- cupsd.conf: use digest authentication instead of basic authentication
- /etc/cups is now owned by lp and /etc/cups/passwd.md5 touched for lppasswd

* Fri Feb 25 2005 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.1.23-3m)
- revise pam file to support multilib
- cupsd now uses pam authentication
  (root or lp group users can be permitted)

* Wed Jan 19 2005 TAKAHASHI Tamotsu <tamo>
- (1.1.23-2m)
- fix 64bit security issues
 Patch2: xpdf-goo-sizet.patch (SUSE?)
 Patch3: cups-1.1.22-xpdf2-underflow.patch (gentoo cvs)
- fix CAN-2005-0064
 Patch4: cups-CAN-2005-0064.patch (xpdf-3.00pl3.patch)

* Mon Jan 10 2005 TAKAHASHI Tamotsu <tamo>
- (1.1.23-1m)
- fix CAN-2004-1125, CAN-2004-1267, CAN-2004-1268, CAN-2004-1269, and CAN-2004-1270

* Sun Nov 28 2004 Kimitake SHIBATA <siva@momonga-linux.org>
- (1.1.22-2m)
- Change URL

* Thu Nov 11 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.1.22-1m)
- update to 1.1.22

* Fri Aug 20 2004 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (1.1.21rc1-3m)
- change cups-RunAsUser.patch (like SUSE)

* Sat Jul  3 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1.21rc1-2m)
- stop daemon

* Fri Jun 18 2004 kourin <kourin@fh.freeserve.ne.jp>
- (1.1.21rc1-1m)
- update to 1.1.21rc1

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (1.1.19-11m)
- revised spec for enabling rpm 4.2.

* Wed Oct 29 2003 Kenta MURATA <muraken2@nifty.com>
- (1.1.19-10m)
- pretty spec file.

* Fri Aug  1 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.1.19-10m)
- fix RunAsUser...

* Thu Jul 31 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.1.19-9m)
- add pap backend (obtained from Mandrake)
- set default group to "lp" instead of "sys"
- add cups-RunAsUser.patch to run cupsd as ordinary user (not root)
- fix typo (s/linsten/listen/)

* Wed Jul 23 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1.19-8m)
- use .png images instead of .gif images

* Wed Jul 23 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.1.19-7m)
- [IMPORTANT] Make cupsd listen(2) only localhost by default.
  To make cupsd accept connections from outside,
  "Listen" directive in /etc/cupsd.conf must be changed
  (and "Allow","Deny" directives too, of course).
- according to http://www.cups.org/str.php?L196,
  pdftops reads /etc/cups/pdftops.conf instead of /etc/xpdfrc,
  so make a symlink from /etc/xpdfrc to /etc/cups/pdftops.conf and
  remove cups-1.1.19-xpdfrc.patch.
- make %{_sysconfdir}/cups/mime.* be replacable
  (normally these files are not edited by hand)
- add %{_var}/log/cups to %%files
- use redhat's initscript (cups.init)
- add xinetd file for cups-lpd
- import config file for logrotate (cups.logrotate) from redhat
- do not own %{_sysconfdir}/pam.d
- add more documents

* Sun Jul 20 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.1.19-6m)
- update cups-extradoc to 1.1.19
  (obtained from CVS at bazaar.turbolinux.co.jp)
- add %%{_bindir}/cupstestppd
- run /sbin/ldconfig at %%post and %%postun section of -libs
- use %%make and %%makeinstall

* Sun Jul 20 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.1.19-5m)
- rebuild against glibc-2.3.2

* Wed Jun 25 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.1.19-4m)
- add cups-1.1.19-xpdfrc.patch to make pdftops read /etc/xpdfrc

* Tue Jun 24 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.1.19-3m)
- modify %%post and %%preun sections
  (do not run chkconfig --del on upgrade)

* Tue Jun 17 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.1.19-2m)
  don't remade gif images.

* Wed May 28 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.1.19-1m)
  update to 1.1.19

* Fri May 23 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.1.18-5m)
- enable slp
- %%{?_smp_mflags}
- add Japanese resource

* Tue Apr 08 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.18-4m)
- rebuild against zlib 1.1.4-5m

* Sat Mar 22 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.1.18-3m)
- make symbolic link for printing via samba
  (requested by nosanosa [Momonga-devel.ja:01495])
- cups-devel: add %%{release} to Requires:

* Thu Mar 20 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.1.18-2m)
- make subpackage "libs"
- move from Zoo to Main
- do not include cat pages
- remove pstoraster subpackage

* Sat Mar 15 2003 Kikutani Makoto <poo@momonga-linux.org>
- (1.1.18-1m)
- new upstream version
- require ghostscript-cups

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.1.14-4k)
- rebuild against libpng 1.2.2.

* Thu Mar 14 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.1.14-2k)
  merge from STABLE_2_1(by zaki <zaki@kondara.org>)
  update to 1.1.14 (buffer overflow fixed version)
  http://online.securityfocus.com/bid/4100

* Sat Jan 12 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- (1.1.10-12k)
- Removed Packager and Vendotr tag.

* Mon Nov 12 2001 Shingo Akagaki <dora@kondara.org>
- (1.1.10-10k)
- devel reqs main

* Thu Nov  8 2001 Shingo Akagaki <dora@kondara.org>
- (1.1.10-8k)
- nigirisugi

* Tue Oct 30 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.1.10-6k)
- modify deffattr problem

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (1.1.10-4k)
- rebuild against libpng 1.2.0.
